%define	api		1.0
%define	major		0
%define gmajor		1.0
%define	libname		%mklibname sushi %{api}
%define	gi_libname	%mklibname sushi-gir %{api}
%define	develname	%mklibname -d sushi %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		sushi
Version:	3.6.1
Release:	%mkrel 2
License:	GPLv2+
Summary:	Quick Previewer for Nautilus
Url:		http://www.gnome.org/
Group:		File tools
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	unoconv
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gst-2.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(evince-document-3.0)
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(gjs-dbus-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libmusicbrainz3)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(libmusicbrainz5)
#for gnome-autogen
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
Suggests:	nautilus

%description
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
# When built with unoconv support, the library will use unoconv to
# read LibreOffice files
Suggests:	unoconv

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The sushi-devel package contains libraries and header files for developing
applications that use sushi.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/sushi
%{_libexecdir}/sushi-start
%{_datadir}/glib-2.0/schemas/org.gnome.sushi.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Sushi.service
%{_datadir}/sushi
%exclude %{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir

%files -n %{libname}
%{_libdir}/sushi/libsushi-%{api}.so

%files -n %{gi_libname}
%{_libdir}/sushi/girepository-1.0/Sushi-%{gmajor}.typelib

%files -n %{develname}
%{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 383815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317407
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297136
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295685
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288110
- br libmusicbrainz5
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282627
- br gstreamer-1.0
- new version 3.5.90

* Wed Aug 08 2012 ovitters <ovitters> 0.5.5-1.mga3
+ Revision: 279987
- new version 0.5.5

* Mon Jul 16 2012 ovitters <ovitters> 0.5.4-1.mga3
+ Revision: 271529
- drop merged patch
- new version 0.5.4

* Fri Jul 06 2012 fwang <fwang> 0.5.2-1.mga3
+ Revision: 268392
- update file list
- update file list
- update file list
- fix linakge

  + ovitters <ovitters>
    - br libmusicbrainz4
    - drop linking patch
    - new version 0.5.2

* Mon Apr 16 2012 ovitters <ovitters> 0.4.1-1.mga2
+ Revision: 231076
- new version 0.4.1

* Tue Mar 27 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 227155
- new version 0.4.0

* Thu Mar 22 2012 ovitters <ovitters> 0.3.92-2.mga2
+ Revision: 225769
- rebuild for new evince

* Mon Mar 19 2012 ovitters <ovitters> 0.3.92-1.mga2
+ Revision: 224513
- new version 0.3.92

* Mon Mar 05 2012 wally <wally> 0.3.91-1.mga2
+ Revision: 219210
- add patch to fix linking
- new version 0.3.91

* Mon Dec 19 2011 wally <wally> 0.3.0-1.mga2
+ Revision: 184385
- new version 0.3.0
- clean .spec a bit

* Wed Nov 23 2011 fwang <fwang> 0.2.1-2.mga2
+ Revision: 171158
- rebuild for new clutter

* Mon Oct 17 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 155803
- new version 0.2.1

* Mon Sep 26 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 148741
- new version 0.2.0

* Mon Sep 19 2011 fwang <fwang> 0.1.92-1.mga2
+ Revision: 145551
- new version 0.1.92

* Wed Aug 31 2011 dmorgan <dmorgan> 0.1.90-1.mga2
+ Revision: 137139
- Change recommands into suggests
  Fix major

  + ovitters <ovitters>
    - imported package sushi

